Skip to main content
DELETE
/
sources
/
{source_id}
Deletes a Source.
curl --request DELETE \
  --url https://api.totoy.ai/v1/sources/{source_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.totoy.ai/v1/sources/{source_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.totoy.ai/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "source_id": "src_oXiYDg8QOc9JsOk86idRXiywD",
  "deleted": true
}
{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}
{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string
required

Unique identifier for a Source that was uploaded to Totoy.

Maximum string length: 29
Pattern: ^src_[a-zA-Z0-9]{25}$

Response

OK

source_id
string
required

Unique identifier for the Source that was deleted.

Maximum string length: 29
Pattern: ^src_[a-zA-Z0-9]{25}$
Example:

"src_oXiYDg8QOc9JsOk86idRXiywD"

deleted
boolean
required

Indicates whether the Source was successfully deleted.

Example:

true